<template>
  <div id="app">
    <div id="nav">
    <menucustom style="position:absolute; z-index:999"/>
    <router-view style="position:relative;"/>
    <footercustom style="position:absolute; z-index:1; "/>

    </div>
  </div>
</template>
<script>
//importamos menu y footer
import menucustom from '@/components/MenuCustom.vue'
import footercustom from '@/components/FooterCustom.vue'


  export default {
    name: 'App', 
    components: {
      menucustom,
      footercustom
    }
  }
</script>
<style>

:root {
  --bg-orangered: orangered;
  --bg-orangered-light: #ff6434;
  --bg-whitesmoke: whitesmoke;
  --bg-white: white;
  --bg-bluegrey: #263238;
  --bg-bluegrey-light: #b0bec5;
  --bg-green: #cddc39;

  --size100vh: 100vh;
  --size75vh: 75vh;
  --size50vh: 50vh;
  --size25vh: 25vh;

  --size200px: 200px;
  --size150px: 150px;
  --size100px: 100px;
  --size75px: 75px;
  --size50px: 50px;
  --size32px: 32px;
  --size25px: 25px;
  --size16px: 16px;
  --size10px: 10px;
  --size5px: 5px;

  --spacer200px: 200px;
  --spacer100px: 100px;
  --spacer50px: 50px;
  --spacer25px: 25px;
  --spacer10px: 10px;
  --spacer5px: 5px;


  --spacer100pc: 100%;
  --spacer75pc: 75%;
  --spacer50pc: 50%;
  --spacer25pc: 25%;

}

button {
    background-color:var(--bg-orangered); 
    border: none;
    color: white;
    padding: 16px 16px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 1px;
    cursor: pointer;
    margin-bottom: 1.5rem;
} 
button:hover {
    background-color:var(--bg-orangered-light); 
} 
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

</style>
